GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

      • Management Module

        • User Management

        • Organization Management

        • Role Management

        • User Group Management

        • Custom Field Management

        • Resource and Permission Management

        • 管理应用

          • 获取应用详情
          • 获取应用列表
          • 获取应用简单信息
          • 获取应用简单信息列表
          • 创建应用
          • 删除应用
          • 获取应用密钥
          • 刷新应用密钥
          • 获取应用当前登录用户
          • 获取应用默认访问授权策略
          • 更新应用默认访问授权策略
          • 授权应用访问权限
          • 删除应用访问授权记录
          • 检测域名是否可用
        • 管理身份源

        • 管理安全配置

        • 管理消息服务

        • 管理 Pipeline

        • 管理 Webhook

        • 获取审计日志

        • 管理计量计费

        • 事件
  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Management Module

  8. /
  9. 管理应用

  10. /
  11. 获取应用简单信息

¶ Get simple application information

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get simple application information through application ID.

¶ Method name

ManagementClient.get_application_simple_info

¶ Request parameters

NameType
Is it required
Default value
Description
Sample value
appIdstringYes-Application ID6229ffaxxxxxxxxcade3e3d9

¶ Request Response

Type: ApplicationSimpleInfoSingleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful requests are not returned). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataApplicationSimpleInfoDtoResponse data

Example results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "appId": "62eaa95fe0xxxx9a5295bf7c",
    "appIdentifier": "example",
    "appName": "Sample application",
    "appLogo": "Sample application",
    "appDescription": "Sample description information",
    "appType": "web"
  }
}

¶ Data Structure

¶ ApplicationSimpleInfoDto

NameType
Is it required?
Description
Example value
appIdstringYesApplication ID62eaa95fe0xxxx9a5295bf7c
appIdentifierstringYesApplication unique identifierexample
appNamestringYesApplication nameExample application
appLogostringYesApplication logo linkExample application
appDescriptionstringNoApplication descriptionExample description
appTypestringYesApplication typeweb
isIntegrateAppbooleanYesIs it an integrated application?
Previous article: 获取应用列表 Next article: 获取应用简单信息列表
  • Method name
  • Request parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.